--- title: "addCloudMysqlUserList" slug: "database-vmysql-addcloudmysqluserlist" tags: ["Cloud DB for MySQL"] updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmysql-addcloudmysqluserlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # addCloudMysqlUserList Available in VPC Add a DB user to a Cloud DB for MySQL instance. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vmysql/v2/addCloudMysqlUserList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) request headers](/docs/en/database-vmysql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for MySQL instance to add DB users to. - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `cloudMysqlInstanceNo` | String | Required | Cloud DB for MySQL instance number - See [getCloudMysqlInstanceList](/docs/en/database-vmysql-getcloudmysqlinstancelist). | | `cloudMysqlUserList.N.name` | List[String] | Required | List of user IDs to add to the Cloud DB for MySQL instance - Enter between 3 and 16 characters using a combination of English letters, numbers, and special characters "-" and "_". - The string must start with an English letter. - Predefined reserved words can't be used. - Example: `cloudMysqlUserList.1.name=testuser1&cloudMysqlUserList.2.name=testuser2` | | `cloudMysqlUserList.N.hostIp` | List[String] | Required | List of IP addresses to access MySQL Server - Allow access to all: % - Allow access to specific IPs (e.g., 1.1.1.1). - Allow access to an IP range (e.g., 1.1.1.%). - Allow CIDR (e.g., 1.1.1.0/24). - When using the GET method, % must be URL-encoded as %25. | | `cloudMysqlUserList.N.password` | List[String] | Required | DB user account password - Enter between 8 and 20 characters containing at least one English letter, number, and special character. - Special characters ` & + \ " ' / and spaces can't be used. - If the password plugin is activated, the policy set by the plugin must also be satisfied. - Example: `cloudMysqlUserList.1.password=********&cloudMysqlUserList.2.password=********` | | `cloudMysqlUserList.N.authority` | List[String] | Required | DB user permissions - `READ` \| `CRUD` \| `DDL` - `READ`: Data query only - `CRUD`: Data entry, query, modification, and change available - `DDL`: Table creation, deletion, and change including the CRUD permission available - Example: `cloudMysqlUserList.1.authority=DDL&cloudMysqlUserList.2.authority=DDL` | | `cloudMysqlUserList.N.isSystemTableAccess` | Boolean | Optional | System table accessibility - `true` (default) \| `false` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/addCloudMysqlUserList ?regionCode=KR &cloudMysqlInstanceNo=****890 &cloudMysqlUserList.1.name=testuser &cloudMysqlUserList.1.hostIp=% &cloudMysqlUserList.1.password=******** &cloudMysqlUserList.1.authority=DDL' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) response status codes](/docs/en/database-vmysql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: - If `responseFormatType=json` ``` { "addCloudMysqlUserListResponse": { "requestId": "902109aa-****-****-****-820b816e07b2", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 902109aa-****-****-****-820b816e07b2 0 success ```